post
https://api-smartflo.tatateleservices.com/v1/user
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Request
This API allows you to create a new User.
curl --request POST \
--url https://api-smartflo.tatateleservices.com/v1/user \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '
{
"create_agent": true,
"status": true,
"block_web_login": true,
"login_based_calling": true
}
'📘 Important!
Before we begin, note that the * sign denotes the mandatory variables in each table.
Request Variables (BODY PARAMS)
The following parameter is required to create a user:
| Variable Name | Description | Data-Type |
|---|---|---|
| create_agent* | Whether you want to create the user or not. | boolean |
| status* | Status of the user. Enabled/Disabled | boolean |
| block_web_login | Block access to web login. | boolean |
| login_based_calling | Whether calling would work based on logging to the application. | boolean |
| user_for_cdr | Users defined for user to see the CDRs. | object (user_for_cdr) |
| agent_group | The agent groups to allot on a user. For example, sales group. | array_string |
| department | The departments to allot to a user. For example, Sales Department, Finance Department. | array_int |
| time_group | The timegroup to allot to a user. For example, Evening Shift. | string |
| name* | Name of the user. | string |
| number* | Mobile number of the user. | string |
| email* | Email ID of the user. | string |
| login_id* | Define login ID for web login. For example: testuser. | string |
| user_role* | Role ID defined for the user, it can be extracted by editing the role on the web panel and copying it from the URL. | int |
| password* | Define password for web login. | string |
| caller_id* | Define IDs of the numbers allotted to user. It can be extracted via the GET MyNumbers API. | array_int |
| route_call_through | Whether you want to create login for user or not. Values: | boolean |
| failover_destination | Destination(s) for call failover. | array_string |
| assign_extension | Whether an extension is to be created for the user. | boolean |
Response Variables
The response returned is as follows:
| Variable Name | Description | Data Type |
|---|---|---|
| Success | The request success status, the possible values are: True (default) for success. False for failure. | Boolean |
| Message | The message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here. | String |
| Error | The error type is shown is here, if any variable input is not selected properly. | Object |
